#!/bin/bash
##########################################
# File Name:18_check_selinux.sh
# Version:V1.0
# Author:zhangpeng
# 0rganization:linuxjk.cn
# Desc:检查selinux是否关闭，如果未关闭，提示是否要关闭，yes则关闭，其他就不关闭
###########################################
#1.vars
#/etc/selinux/config中显示的SELINUX=$perm
#getenforce显示的$temp

#2.取出配置文件/命令行中selinx的状态
#awk -F= '/^SELINUX=/ {print $2}' /etc/selinux/config
perm=`sed -nr '/^SELINUX=/p' /etc/selinux/config | awk -F= '{print $NF}'`
temp=`getenforce`
#3.判断字符串是否为空
if [[ -z "$perm"  ||  -z "$temp" ]]
then
	echo "无法获取selinux策略：请检查配置文件：/etc/selinux/config"
	exit 1
fi

#3.判断以上两个字符串是否同时等于disabled→→→selinux彻底关闭
if [[ "$perm" = "disabled" ]] &&  { [[ "$temp" = Disabled ]] ||  [[ "$temp" = Permissive ]] ;}
then
	echo "SELINUX 已经关闭"
	exit 1
else
	 
#4.此时需要用户输入是否要关闭，yes
        read -p "SELINUX未关闭，是否关闭selinux:关闭请输入yes：" input
	if [ "$input" = yes ];then
		sed -i "s#SELINUX=.*#SELINUX=disabled#g" /etc/selinux/config
		setenforce 0
		echo "已关闭selinux，重启生效"
		exit 1
	else
		echo "selinux is $temp"
		exit 1
	fi
fi
